﻿@using StarterProjectV2.Models
@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}


@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    @*<script src="https://code.jquery.com/jquery-1.10.2.js"></script>*@
    @*<script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>*@
    @*<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">*@

    @*for the tab switching*@
    @*<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet">*@
    @*<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.js"></script>*@
    @*<script type="text/javascript" src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>*@

    <script src="~/Content/vendors/js/toastr.min.js"></script>
    @*<script src="~/Content/vendors/js/coreui.min.js"></script>*@
}
@section PAGETITLE{
  Additional Management  
}
<h2>Please Fill Up the Additional Information</h2>

<div>
    <div class="card">
        @*<div class="card-body" id="class-body-project">*@
        <ul class="nav nav-tabs myTabs" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" href="#project" role="tab" data-toggle="tab">Project</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#family" role="tab" data-toggle="tab">Family</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#nominees" role="tab" data-toggle="tab">Nominees</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#attachments" role="tab" data-toggle="tab">Attachments</a>
            </li>
        </ul>

        <div class="tab-content">
            <div id="project" class="tab-pane in active">
                <div class="row justify-content-center ">
                    @*<div class="card col-12">*@
                    <div class="card-body" id="class-body-project">
                        <h1 class="text-center" style="color: indianred">Owner's Project Information Form</h1>
                        <p class="text-muted"></p>

                        @using (Html.BeginForm("OwnersProjectInfoAddorEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                        {
                            <div class="input-group mb-3">
                                @*@Html.LabelFor(m => m.OPProjectName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })*@
                                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Project Name</label>
                                @Html.TextBoxFor(m => m.OPProjectName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Project Name", type = "text", id = "OPProjectName" })

                                @*@Html.LabelFor(m => m.OFSpouseDOB, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                    @Html.TextBoxFor(m => m.OFSpouseDOB,
                                        new {@class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Date Of Birth", type = "date", id = "spouseDOB"})*@
                            </div>


                            <div class="input-group mb-3">
                                @*@Html.LabelFor(m => m.OPNumberOfRoom, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                                <label for="" class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Room</label>
                                @Html.TextBoxFor(m => m.OPNumberOfRoom, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfRoom", type = "text", id = "OPNumberOfRoom" })
                                @*@Html.LabelFor(m => m.OPNumberOfDays, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Days</label>
                                @Html.TextBoxFor(m => m.OPNumberOfDays, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfDays", type = "text", id = "OPNumberOfDays" })

                            </div>

                            <div class="input-group mb-3">
                                @*@Html.LabelFor(m => m.OPPurchaseDate, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Purchase Date</label>
                                @Html.TextBoxFor(m => m.OPPurchaseDate,
                                    new {@class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "PurchaseDate", type = "date", id = "OPPurchaseDate"})
                            </div>
                            <div class="input-group mb-3">
                                @*@Html.LabelFor(m => m.OPSalesAmount, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Sales Amount</label>
                                @Html.TextBoxFor(m => m.OPSalesAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Sale Amount", type = "text", id = "OPSalesAmount" })
                                <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Paid Amount</label>
                                @*@Html.LabelFor(m => m.OPPaidAmount, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                                @Html.TextBoxFor(m => m.OPPaidAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = " Paid Amount", type = "text", id = "OPPaidAmount" })

                            </div>

                            <button type="button" class="btn btn-success m-1 but3">Add Installment Information</button>
                            <div class="children3">
                            </div>


                            <div class="row">
                                <div>
                                    <button type="submit" class="btn btn-primary m-1" onclick="retrieveProjects()">Submit</button>
                                </div>
                                <div>
                                    <button type="button" class="btn btn-danger m-1">Reset</button>
                                </div>
                                <div>
                                    <button type="button" class="btn btn-info m-1 nextbutton" onclick="gotoFamily()">Go To Next</button>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            </div>
            <div id="family" class="tab-pane fade">
                <div class="row justify-content-center ">
                    @*<div class="card col-12">*@
                    <div class="card-body" id="class-body-family">
                        <h1 class="text-center" style="color: indianred">Owner's Family Information Form</h1>
                        <p class="text-muted"></p>

                        @using (Html.BeginForm("OwnersFamilyInfoAddorEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                        {
                            <div class="form-group row mb-3">
                                @Html.LabelFor(m => m.SpouseName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
                                @Html.TextBoxFor(m => m.SpouseName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse Name", type = "text", id = "spouseName" })

                                @Html.LabelFor(m => m.OFSpouseDOB, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OFSpouseDOB,
                                    new {@class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Date Of Birth", type = "date", id = "spouseDOB"})
                            </div>
                            <div class="form-group row mb-3">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Spouse NID</label>
                                @*<div class="col-sm-3 col-lg-3 col-md-3">*@
                                @Html.TextBoxFor(m => m.OFSpouseNID, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse NID", type = "text", id = "spouseNID" })
                                @*</div>*@
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse's NID for Verification</label>
                                <div class="col-sm-3 col-lg-3 col-md-3">
                                    @*@Html.TextBoxFor(m => m.OFSpousePicture,
                                        new {@class = "form-control", placeholder = "Upload Picture", type = "text"})*@
                                    <input type="file" class="custom-file-input" id="upload-file-NID" name="file" /> @*id="file">*@
                                    <label class="custom-file-label" for="upload-file-NID" id="upload-file-NID-label">Choose file</label>
                                    @*<button type="submit" value="Upload" class="btn btn-success uploadSpousePictureButton">Upload Spouse's Picture</button>*@
                                </div>
                            </div>
                            <div class="form-group row mb-3">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse</label>
                                <div class="col-sm-3 col-lg-3 col-md-3">
                                    @*@Html.TextBoxFor(m => m.OFSpousePicture,
                                        new {@class = "form-control", placeholder = "Upload Picture", type = "text"})*@
                                    <input type="file" class="custom-file-input" id="upload-file-picture" name="file" /> @*id="file">*@
                                    <label class="custom-file-label" for="upload-file-picture" id="upload-file-picture-label">Choose file</label>
                                    @*<button type="submit" value="Upload" class="btn btn-success uploadSpousePictureButton">Upload Spouse's Picture</button>*@
                                </div>
                            </div>
                            <div class="form-group row mb-3">
                                @Html.LabelFor(m => m.OFSpouseMobile, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OFSpouseMobile, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "+880xxxxxxxxxx", type = "text", id = "spouseMobile" })
                                @Html.LabelFor(m => m.OFSpouseEmail, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OFSpouseEmail, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "example@gmail.com", type = "text", id = "spouseEmail" })

                            </div>
                            @*<div class="form-group row mb-3">
                                    @Html.LabelFor(m => m.OFSpouseNID, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                    @Html.TextBoxFor(m => m.OFSpouseNID, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's NID", type = "text", id = "spouseNID" })
                                    <button type="submit" value="Upload" class="btn btn-success uploadNIDButton">Upload NID File</button>
                                    @Html.LabelFor(m => m.OFSpousePicture, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                    @Html.TextBoxFor(m => m.OFSpousePicture, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Upload Picture", type = "text", id = "spousePicture" })
                                    <button type="submit" value="Upload" class="btn btn-success uploadSpousePictureButton">Upload Spouse's Picture</button>
                                </div>*@


                            <button type="button" class="btn btn-success m-1 but">Add Child</button>
                            <div class="children">
                                @*<input type="text" class="form-control" placeholder="Name" id="Child-Name">
                                    <input type="text" class="form-control" placeholder="Name" id="Child-Name">*@
                            </div>

                            @*@Html.HiddenFor(m => m.OwnersFamilies.OwnersFamilyId)*@

                            @Html.HiddenFor(m => m.OwnersFamilyId)
                            @Html.HiddenFor(m => m.OFOwnerId)

                            <div class="row">
                                <div>
                                    <button type="submit" class="btn btn-primary m-1" onclick="FullSubmit()">Submit</button>
                                </div>
                                <div>
                                    <button type="button" class="btn btn-danger m-1">Reset</button>
                                </div>
                            </div>
                        }
                        @*<button class="btn-primary m-1 skipfamily">SKIP</button>*@
                    </div>
                </div>
            </div>
            <div id="nominees" class="tab-pane fade">

                <div class="row justify-content-center ">
                    @*<div class="card col-12">*@
                    <div class="card-body">
                        <h1 class="text-center" style="color: indianred">Nominees Information Form</h1>
                        <p class="text-muted"></p>
                        @*@using (Html.BeginForm("", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                            {*@
                        <button type="button" class="btn btn-success m-1 but2">Add Nominee</button>
                        <form>
                            <div class="children2">
                                <div class="identifier0 mb-5">
                                    @*<h3>Nominee 1:</h3>*@
                                    <div class="row mb-2">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>
                                        <div class="col"><input type="text" class="form-control" placeholder="NomineeName" name="ONNomineeName" id="ONNomineeName"></div>
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>
                                        <div class="col"><input type="date" class="form-control" placeholder="NomineeDOB" id="ONNomineeDOB"></div>
                                    </div>
                                    <div class="row mb-2">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>
                                        <div class="col"><input type="text" class="form-control" placeholder="NomineeEmail" name="ONNomineeEmail" id="ONNomineeEmail"></div>
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>
                                        <div class="col"><input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile"></div>
                                    </div>

                                    <div class="row mb-2">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>
                                        <div class="col"><input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress"></div>
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>
                                        <div class="col"><input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress"></div>
                                    </div>


                                    <div class="row mb-4">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>
                                        <div class="col-sm-3 col-lg-4 col-md-3 col-form"><input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID"></div>
                                        @*<div class="col"><input type="text" class="form-control" placeholder="NomineePicture" id="ONNomineePicture"></div>*@
                                        @*<div class="col">*@

                                        @*</div>*@
                                    </div>

                                    @*<div class="row mb-2">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee Picture</label>
                                        <div class="col-sm-3 col-lg-2 col-md-3">
                                            <input type="file" class="custom-file-input" id="ONNomineePicture" name="file" /> @*id="file">* @
                                            <label class="custom-file-label" id="ONNomineePicture-label">Choose file</label>
                                        </div>
                                    </div>*@
                                    <div class="form-group row mb-5">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>
                                        <div class="container1">
                                            <img id="Nominee-pic"class="" width="128" height="128" src="~/Content/nominees/base.jpg" alt="base file" />
                                            <div>
                                                <input id="ONNomineePicture" type="file" />
                                            </div>
                                        </div>
                                    </div>
                                    @*<div class="row mb-2">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>
                                        <div class="col-sm-3 col-lg-2 col-md-3">
                                            <input type="file" class="custom-file-input" id="ONNomineeNIDPath" name="file" /> @*id="file"> * @
                                            <label class="custom-file-label" id="ONNomineeNID-label">Choose file</label>
                                        </div>
                                    </div>*@
                                    <div class="form-group row mb-5">
                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>
                                        <div class="container1">
                                            <img id="Nominee-NID-pic"class="" width="128" height="128" src="~/Content/nominees/base.jpg" alt="base file" />
                                            <div>
                                                <input id="ONNomineeNIDPath" type="file" />
                                            </div>
                                        </div>
                                    </div>
                                    @*<button type="button" class="btn btn-danger deleteNominee" onclick="deleteNominee(0)" value="identifier0">Delete Nominee</button>*@
                                </div>
                            </div>

                            <div class="row">
                                <button type="submit" class="btn btn-primary m-1" onclick="NomineeFullSubmit()">Submit</button>
                                <button type="button" class="btn btn-danger m-1">Reset</button>
                            </div>
                        </form>
                        @*}*@
                    </div>
                </div>
            </div>
            <div id="attachments" class="tab-pane fade">
                <div class="row justify-content-center ">
                    @*<div class="card col-12">*@
                    <div class="card-body">
                        <h1 class="text-center" style="color: indianred">Owner's Attachments Form</h1>
                        <p class="text-muted"></p>

                        @*@using (Html.BeginForm("OwnerAttachmentAddOrEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                            {*@
                        <form>

                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner NID</label>
                                <div class="container1">
                                    @{
                                        var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }

                                    @*<img id="NID-pic" class="" src="@Url.Content(Model.OAOwnerNID+ time1)"  width="128" height="128">*@
                                    @*@if (@Model.OAOwnerNID == "")
                {*@
                                    <img id="NID-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />

                                    @*}
                else
                {
                    <img id="NID-pic" class="" src="@Url.Content(Model.OAOwnerNID+ time1)"  width="128" height="128">

                }*@
                                    @*<img id="NID-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />*@
                                    <div><input id="upload-file-attachment-NID" type="file" required="required"/></div>
                                </div>
                            </div>
                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner TIN</label>
                                <div class="container1">
                                    @{
                                        var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    @*<img id="TIN-pic" class="" src="@Url.Content(Model.OAOwnerTIN + time2)"  width="128" height="128">*@
                                    <img id="TIN-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                                    <div><input id="upload-file-attachment-TIN" type="file" required/></div>
                                </div>
                            </div>
                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Passport</label>
                                <div class="container1">
                                    @{
                                        var time3 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    @*<img id="passport-pic" class="" src="@Url.Content(Model.OAOwnerPassport + time3)"  width="128" height="128">*@
                                    <img id="passport-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                                    <div>
                                        <input id="upload-file-attachment-Passport" type="file" />
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Driving License</label>
                                <div class="container1">
                                    @{
                                        var time4 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    @*<img id="driving-pic" class="" src="@Url.Content(Model.OAOwnerDrivingLicense+time4)" width="128" height="128">*@
                                    <img id="driving-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                                    <div>
                                        <input id="upload-file-attachment-DrivingLicense" type="file" />
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Utility Bill</label>
                                <div class="container1">
                                    @{
                                        var time5 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    @*<img id="utility-pic" class="" src="@Url.Content(Model.OAOwnerUtilityBill+time5)" width="128" height="128">*@
                                    <img id="utility-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                                    <div>
                                        <input id="upload-file-attachment-Utility" type="file" />
                                    </div>
                                </div>
                            </div>
                            @*<div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Utility Bill</label>
                                <div class="container1">
                                    <embed src="http://www.africau.edu/images/default/sample.pdf" type="application/pdf" width="128" height="128" />
                                    <div>
                                        <input id="upload-file-attachment-Utility" type="file" />
                                    </div>
                                </div>
                            </div>*@
                            @Html.HiddenFor(m => m.OwnersAttachmentId)
                            @Html.HiddenFor(m => m.OAOwnerId)

                            <div class="row">
                                <div>
                                    <button type="submit" class="btn btn-primary m-1 submit" onClick="FullSubmitAttachment()">Submit</button>
                                </div>
                                <div>
                                    <button type="button" class="btn btn-danger m-1">Reset</button>
                                </div>
                            </div>
                            @* } *@
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <!--Family Tab-->
    <script>
    function PictureUpload() {
        var ownerId = '@Model.OFOwnerId';
        //alert(ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-picture');
        //Iterating through each files selected in fileInput


        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name,fileInput.files[i], "SPic_"+ownerId+".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/Upload/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

    </script>
    <script>
        function NIDUpload() {
            var ownerId = '@Model.OFOwnerId';
            //alert(ownerId);
            var formdata = new FormData(); //FormData object
            var fileInput = document.getElementById('upload-file-NID');
            //Iterating through each files selected in fileInput
            for (i = 0; i < fileInput.files.length; i++) {
                fileInput.files[i].name = ownerId;
            }
            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name, fileInput.files[i], "SNIDPic_" + ownerId + ".jpg");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../OwnersInfo/Upload/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
    </script>
    <script>
        var childNo = 1;
        var fun = function () {
            $('.children').append('<div class="child' + childNo + '"><div class="row"><div class="col"><input type="text" class="form-control" placeholder="Name" id="ChildName" required="required"></div><div class="col"><input type="date" class="form-control" placeholder="DOB" id="ChildDOB"></div><div class="col"><input type="file" class="custom-file-input" placeholder="Childs Picture" id="ChildPicture" name="ChildPicture"><label class="custom-file-label" for="ChildPicture" id="upload-child-picture-label">Choose file</label></div></div></form>');

            childNo++;
        }

    </script>
    <script>
        for (i = 0; i < childNo; i++) {
            //alert("#ChildPicture"+$i);
            var childi = 'ChildPicture' + $i;
            //$("#ChildPicture' + childNo + '").change(function(e) {
            $("#' +$childi '").change(function (e) {
                var filename = $("#ChildPicture")[i].files[i].name;
                var filetype = $("#ChildPicture")[i].files[i].type;
                var filesize = $("#ChildPicture")[i].files[i].size;
                $("#upload-child-picture-label").text(filename);
            });
        }
    </script>
    @*Child Picture Upload Function*@
    <script>
    function ChildPictureUpload() {
        var ownerId = '@Model.OFOwnerId';
        //alert("CPU"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = [document.getElementById('ChildPicture')];


        var n = document.getElementById("ChildPicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ChildPicture1";
            n = document.getElementById("ChildPicture");
        }


        for(i = 0;i < a.length; ++i) {
            a[i].id = "ChildPicture";
        }

        for (i = 0; i < a.length; i++) {
            //alert("CPU" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(a[i].files[0].name);
            formdata.append(a[i].files[0].name, a[i].files[0], "CPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/Upload/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

    </script>

    <script>
    $('.but').click(fun);


    function retrieve() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildName);

        var ChildDOB = $('input[id="ChildDOB"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildDOB);

        var ChildPicture = $('input[id="ChildPicture"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildPicture);

        var ownerId = '@Model.OFOwnerId';
        var fileInputNID = document.getElementById('upload-file-NID');
        //Iterating through each files selected in fileInput

        var SpouseNIDPicturePath = "~/Content/families/" + "SNIDPic_" + ownerId + ".jpg";

        var fileInputSpousePicture = document.getElementById('upload-file-picture');

        var SpousePicturePath = "~/Content/families/" +
            "SPic_" + ownerId + ".jpg";

        //alert(SpouseNIDPicturePath);
        //alert(SpousePicturePath);

        var myModel = {
            SpouseName: $('#spouseName').val(),
            SpouseDOB: $('#spouseDOB').val(),
            SpouseNID: $('#spouseNID').val(),
            SpouseEmail: $('#spouseEmail').val(),
            SpouseMobile: $('#spouseMobile').val(),
            SpouseNIDPath: SpouseNIDPicturePath,
            SpousePicture: SpousePicturePath,
            OwnerId: ownerId,
            ChildNameArray: ChildName,
            ChildDOBArray: ChildDOB,
            ChildPictureArray: ChildPicture
        };
        
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerFamilyInfo/',
            data: myModel,
            success: function (result) {
                //alert(result);
            },
            error: function () {
                //error();
                
            }
        });
    }
    </script>
    <script>
        function ShowingToastr() {
            var ChildName = $('input[id="ChildName"]').map(function () {
                return this.value;
            }).get();
            var len = ChildName.length;
            var flg = false;
            for (var i = 0; i < len; i++) {
                if (ChildName[i] == "") {
                    flg = true;
                    break;
                }
            }
            if (flg == true) {
                toastr.error('Please Fill Up All the Child Name', 'Error!!!!', {
                    closeButton: true,
                    progressBar: true,
                });
            }
        }
    </script>


    <script>
        function FullSubmit() {
            ShowingToastr();

            PictureUpload();
            NIDUpload();
            ChildPictureUpload();

            retrieve();
        }
    </script>

    <!--Nominee Tab-->
    <script>
        var idx = 1;
        var addNominee = function () {
            //idx = idx + 1;
            $('.children2').append('' +
                '<div class="identifier' + idx + ' mb-5">' +
                '<div class="row mb-2">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>' +
                '<div class="col">' +
                '<input type="text" class="form-control" placeholder="NomineeName" name="NomineeName" id="ONNomineeName">' +
                '</div>' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>' +
                '<div class="col">' +
                '<input type="date" class="form-control" placeholder="Nominee Date of Birth" id="ONNomineeDOB">' +
                '</div>' +
                '</div>' +
                '<div class="row mb-2">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>' +
                '<div class="col">' +
                '<input type="text" class="form-control" placeholder="NomineeEmail" name="NomineeEmail" id="ONNomineeEmail">' +
                '</div>' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>' +
                '<div class="col">' +
                '<input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile">' +
                '</div>' +
                '</div>' +
                '<div class="row mb-2">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>' +
                '<div class="col">' +
                '<input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress">' +
                '</div>' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>' +
                '<div class="col">' +
                '<input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress">' +
                '</div>' +
                '</div>' +
                '<div class="row mb-4">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>' +
                '<div class="col-sm-3 col-lg-4 col-md-3 col-form">' +
                '<input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID">' +
                '</div>' +
                '</div>' +
                '<div class="row mb-2">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee Picture</label>' +
                '<div class="col-sm-3 col-lg-2 col-md-3">' +
                '<input type="file" class="custom-file-input" id="ONNomineePicture" name="file" />' +
                '<label class="custom-file-label" for="upload-file-NomineePicture" id="upload-file-NomineePicture-label">Choose file</label>' +
                '</div>' +
                '</div>' +
                '<div class="row mb-2">' +
                '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee NID Picture</label>' +
                '<div class="col-sm-3 col-lg-2 col-md-3">' +
                '<input type="file" class="custom-file-input" id="ONNomineeNIDPath" name="file" />' +
                '<label class="custom-file-label" for="upload-file-NomineeNID-Picture" id="upload-file-NomineeNIDPicture-label">Choose file</label>' +
                '</div>' +
                '</div>' +
                '<button type="button" class="btn btn-danger deleteNominee" onclick="deleteNominee(' + idx + ')" value="identifier' +
                idx + '">Delete Nominee</button></div>');
            idx = idx + 1;
        }

        // var $button = $('.button').clone();
        // $('.package').clone().appendTo($button);
        $('.but2').click(addNominee);
    </script>



    <script>
        function deleteNominee(idx) {
            var divname = 'identifier' + idx;
            //alert(divname);
            $('.' + divname).remove();
        }
    </script>

    <script>
    function NomineePictureUpload() {
        var ownerId = '@Model.ONOwnerId';
       // alert("Nom"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = [document.getElementById('ONNomineePicture')];


        var n = document.getElementById("ONNomineePicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ONNomineePicture-finished";
            n = document.getElementById("ONNomineePicture");
        }

        for(i = 0;i < a.length; ++i) {
            a[i].id = "ONNomineePicture";
        }

        for (i = 0; i < a.length; i++) {
            //alert("Nom" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            formdata.append(a[i].files[0].name, a[i].files[0], "ON_Pic_" + i + "_" + ownerId + ".jpg");
            //    }
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadNominee/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

    </script>
    <script>
    function NomineeNIDPictureUpload() {
        var ownerId = '@Model.ONOwnerId';
        //alert("NomNID"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdataNominee = new FormData(); //FormData object
        var fileInput = [document.getElementById('ONNomineeNIDPath')];


        var n = document.getElementById("ONNomineeNIDPath");

        var a = [];
        var i;
        //alert("NomNIDBeforeloop" + ownerId);
        while (n) {
            a.push(n);
            n.id = "ONNomineeNID-finished";
            n = document.getElementById("ONNomineeNIDPath");
        }
        //alert("NomNIDAfterloop" + ownerId);
        for (i = 0; i < a.length; ++i) {
            a[i].id = "ONNomineeNIDPath";
        }
        //alert("NomNIDAfterloop " + a.length);
        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(i);
            //alert("jjjjj"+a[i].files[0].name);
            formdataNominee.append(a[i].files[0].name, a[i].files[0], "ON_NIDPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadNominee/');
        xhr.send(formdataNominee);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                alert(xhr.responseText);
            }
        }
        return false;
    }

    </script>
    <script>
    function retrieveNominee() {
        var ONNomineeNameList = $('input[id="ONNomineeName"]').map(function () {
            return this.value;
        }).get();

        //alert(ONNomineeNameList);

        var ONNomineeDOBList = $('input[id="ONNomineeDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeDOBList);

        var ONNomineeEmailList = $('input[id="ONNomineeEmail"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeEmailList);


        var ONNomineePictureList = $('input[id="ONNomineePicture"]').map(function () {
            return this.value;
        }).get();
        //alert("owner nominee picture list"+ONNomineePictureList);


        var ONNomineeMobileList = $('input[id="ONNomineeMobile"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeMobileList);


        var ONNomineeNIDList = $('input[id="ONNomineeNID"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeNIDList);


        var ONNomineePermanentAddressList = $('input[id="ONNomineePermanentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePermanentAddressList);


        var ONNomineePresentAddressList = $('input[id="ONNomineePresentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePresentAddressList);




        var ownerId = '@Model.ONOwnerId';
        //alert(ownerId);

        var myModel = {
            //SpouseName: $('#spouseName').val(),
            OwnerId: ownerId,

            OwnerNomineeNameArray: ONNomineeNameList,
            OwnerNomineeMobileArray: ONNomineeMobileList,
            OwnerNomineeEmailArray: ONNomineeEmailList,
            OwnerNomineeDOBArray: ONNomineeDOBList,

            OwnerNomineePermanentAddressArray: ONNomineePermanentAddressList,
            OwnerNomineePresentAddressArray: ONNomineePresentAddressList,
            OwnerNomineeNIDArray: ONNomineeNIDList,
            OwnerNomineePictureArray: ONNomineePictureList

        };

        //alert('balsal');
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerNomineeInfo/',

            //url: '../OwnersInfo/OwnersNomineeInfoAddorEdit/',
            data: myModel,
            success: function (result) {
                //alert(myModel.PartialUserDetailsViewModels);
            },
            error: function () {
                //error();
            }
        });
    }
    </script>
    <script>
        function NomineeFullSubmit() {
            NomineePictureUpload();
            NomineeNIDPictureUpload();
            retrieveNominee();
        }

    </script>
    

    
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="ONNomineeNIDPath"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#Nominee-NID-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="ONNomineePicture"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#Nominee-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
<!--Attachemnt Tab-->

    <script>

        $('#upload-file-attachment-NID').change(function (e) {

            var filenameAttNID = $('#upload-file-attachment-NID')[0].files[0].name;
            var filetypeAttNID = $("#upload-file-attachment-NID")[0].files[0].type;
            var filesizeAttNID = $("#upload-file-attachment-NID")[0].files[0].size;
            $("#upload-file-attachment-NID-label").text(filenameAttNID);
        });
    </script>
    <script>

        $('#upload-file-attachment-TIN').change(function (e) {

            var filenameAttTIN = $('#upload-file-attachment-TIN')[0].files[0].name;
            var filetypeAttTIN = $("#upload-file-attachment-TIN")[0].files[0].type;
            var filesizeAttTIN = $("#upload-file-attachment-TIN")[0].files[0].size;
            $("#upload-file-attachment-TIN-label").text(filenameAttTIN);
        });
    </script>
    <script>

        $('#upload-file-attachment-Passport').change(function (e) {

            var filenameAttPassport = $('#upload-file-attachment-Passport')[0].files[0].name;
            var filetypeAttPassport = $('#upload-file-attachment-Passport')[0].files[0].type;
            var filesizeAttPassport = $('#upload-file-attachment-Passport')[0].files[0].size;
            $("#upload-file-attachment-Passport-label").text(filenameAttPassport);
        });
    </script>
    <script>

        $('#upload-file-attachment-DrivingLicense').change(function (e) {

            var filenameDrivingLicense = $('#upload-file-attachment-DrivingLicense')[0].files[0].name;
            var filetypeAttDrivingLicense = $("#upload-file-attachment-DrivingLicense")[0].files[0].type;
            var filesizeAttDrivingLicense = $("#upload-file-attachment-DrivingLicense")[0].files[0].size;
            $("#upload-file-attachment-DrivingLicense-label").text(filenameDrivingLicense);
        });
    </script>
    <script>

        $('#upload-file-attachment-Utility').change(function (e) {

            var filenameAttUtility = $('#upload-file-attachment-Utility')[0].files[0].name;
            var filetypeAttUtility = $("#upload-file-attachment-Utility")[0].files[0].type;
            var filesizeAttUtility = $("#upload-file-attachment-Utility")[0].files[0].size;
            $("#upload-file-attachment-Utility-label").text(filenameAttUtility);
        });
    </script>
    <script>
    function UploadAttachmentNID() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-NID');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OANID_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
    </script>
    <script>
    function UploadAttachmentTIN() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-TIN');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OATIN_" + ownerId + ".jpg");
        }
        
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
    </script>
    <script>
    function UploadAttachmentPassport() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Passport');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAPassport_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
    </script>
    <script>
    function UploadAttachmentDrivingLicense() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-DrivingLicense');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OADrivingLicense_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
    </script>
    <script>
    function UploadAttachmentUtility() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Utility');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAUtility_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
    </script>
    <script>
    function RetreiveAttachments() {

        var ownerId = '@Model.OAOwnerId';
        var OANIDPath = '~/Content/attachments/' + "OANID_" + ownerId + ".jpg";
        var OATINPath = '~/Content/attachments/' + "OATIN_" + ownerId + ".jpg";
        var OAPassportPath = '~/Content/attachments/' + "OAPassport_" + ownerId + ".jpg";
        var OAUtilityPath = '~/Content/attachments/'+ "OAUtility_" + ownerId + ".jpg";
        var OADrivingLicensePath = '~/Content/attachments/' + "OADrivingLicense_" + ownerId + ".jpg";

        var myModel = {
            OwnerNID: OANIDPath,
            OwnerTIN: OATINPath,
            OwnerPassport: OAPassportPath,
            OwnerUtilityBill: OAUtilityPath,
            OwnerDrivingLicense: OADrivingLicensePath,
            OwnerId: ownerId
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerAttachmentInfo/',
            data: myModel,
            success: function (result) {
            },
            error: function () {
                //error();
            }
        });
    }

    </script>
    <script>
    function FullSubmitAttachment() {
        UploadAttachmentNID();
        UploadAttachmentTIN();
        UploadAttachmentUtility();
        UploadAttachmentDrivingLicense();
        UploadAttachmentPassport();
        RetreiveAttachments();
        //var ownerId = '@Model.OAOwnerId';
        //alert("Ret");
    }
    </script>




    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-attachment-NID"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#NID-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-attachment-TIN"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#TIN-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-attachment-Passport"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#passport-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-attachment-DrivingLicense"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#driving-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-attachment-Utility"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#utility-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
<!--Project Tab-->
<script>
        var fun = function () {
            $('.children3').append('<div><div class="row"><div class="col"><label for="OPPeriod">Time Period</label><input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod"></div><div class="col"><label for="OPDate">Date</label><input type="date" class="form-control" placeholder="Date" name="OPDate" id="OPDate"> </div><div class="col"><label for="OPAmount">Amount</label><input type="text" class="form-control " placeholder="Amount" name="OPAmount" id="OPAmount"></div></div></div>');
        }
        $('.but3').click(fun);


        function retrieveProjects() {
            //var values = document.querySelectorAll("#Child-Name");
            var ProjectPeriod = $('input[id="OPPeriod"]').map(function () {
                return this.value;
            }).get();
            //var values = document.getElementById("Child-Name").value;
            //alert(ProjectPeriod);

            var ProjectAmount = $('input[id="OPAmount"]').map(function () {
                return this.value;
            }).get();
            //var values = document.getElementById("Child-Name").value;
            //alert(ProjectAmount);

            var ProjectDate = $('input[id="OPDate"]').map(function () {
                return this.value;
            }).get();
            //var values = document.getElementById("Child-Name").value;
            //alert(ProjectDate);

            var ownerProjectId = '@Model.OPOwnerId';
            //alert(ownerProjectId);
            var myModel = {
                ProjectName: $('#OPProjectName').val(),
                NumberOfRoom: $('#OPNumberOfRoom').val(),
                NumberOfDays: $('#OPNumberOfDays').val(),
                PurchaseDate: $('#OPPurchaseDate').val(),
                SalesAmount: $('#OPSalesAmount').val(),
                PaidAmount: $('#OPPaidAmount').val(),
                OwnerId: ownerProjectId,


                PeriodArray: ProjectPeriod,
                AmountArray: ProjectAmount,
                DateArray: ProjectDate
            };

            //alert(myModel);
            $.ajax({
                context: this,
                type: 'post',
                url: '../OwnersInfo/gettingOwnerProjectInfo/',
                data: myModel,
                success: function (result) {
                    //alert(myModel.ProjectName);
                    //alert(myModel.PartialUserDetailsViewModels);
                },
                error: function () {
                    //error();
                }
            });

        }
        //var values = document.getElementsById("ChildName").value;
        //var values = $('input[name="dum"]').map(function() {
        //    return this.value;
        //}).get();

        // $('.package').append("<p>ok dude, this is really a new item!</p>");
    </script>
</div>
